Mailinglist Archive: yast-devel (163 mails)

< Previous Next >
[yast-devel] 6.17.1: New method ui::Selectable::updateCandidateObj
  • From: Michael Andres <ma@xxxxxxx>
  • Date: Wed, 23 Sep 2009 13:49:47 +0200
  • Message-id: <200909231349.48115.ma@xxxxxxx>

Hi!

I added a new method ui::Selectable::updateCandidateObj.

As you know it's not sufficient to simply look for an available package with
higher version, when looking for an update candidate. There are more policies
to respect, like the ones for arch and vendor changes. Also repo priorities
may influence the result.

updateCandidateObj will return you whether the candidateObj matches the active
solver policies and has a greater version, and no PoolItem otherwise.

So if the UI wants to suggest Selectables that could be updated, it could
suggest the ones providing an updateCandidateObj, and not all where the
candidate has 'just' a greater version.

--

cu,
Michael Andres

+------------------------------------------------------------------+
Key fingerprint = 2DFA 5D73 18B1 E7EF A862 27AC 3FB8 9E3A 27C6 B0E4
+------------------------------------------------------------------+
Michael Andres YaST Development ma@xxxxxxxxxx
SUSE LINUX Products GmbH, GF: Markus Rex, HRB 16746 (AG Nuernberg)
Maxfeldstrasse 5, D-90409 Nuernberg, Germany, ++49 (0)911 - 740 53-0
+------------------------------------------------------------------+

--
To unsubscribe, e-mail: yast-devel+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: yast-devel+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages